Subject: Re: [PATCH] ll-merge: teach ll_binary_merge() a trivial three-way merge

From: Junio C Hamano <[email-masked]>
Date: Wed, 28 Jul 2021 18:06:20 -0700

Elijah Newren <[email-masked]> writes:

> It appears that try_threeway() in apply.c is already computing the
> OIDs of the blobs involved, so it looks like the full content
> comparison is unnecessary even in the apply --3way case.  If we moved
> the trivial-merge check to that function, it could just compare the
> OIDs rather than comparing the full content.

Yeah, if we trust merge backends and only fix "apply --3way"
codepath, which I actually am OK with, I agree that it would be
vastly simpler and nicer to do it in try_threeway().

Thanks.